module Paths_hsluamodded (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,2], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/ghcdevel/.cabal/bin"
libdir     = "/home/ghcdevel/.cabal/lib/hsluamodded-0.2/ghc-6.12.3"
datadir    = "/home/ghcdevel/.cabal/share/hsluamodded-0.2"
libexecdir = "/home/ghcdevel/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "hsluamodded_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "hsluamodded_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "hsluamodded_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "hsluamodded_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
